Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBPixelBufferObject

    java.lang.Object
      org.lwjgl.opengl.ARBBufferObject
          org.lwjgl.opengl.ARBPixelBufferObject

    public final class ARBPixelBufferObject

extends ARBBufferObject

Field Summary
`static int` | `GL_PIXEL_PACK_BUFFER_ARB` Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv:
`static int` | `GL_PIXEL_PACK_BUFFER_BINDING_ARB` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_PIXEL_UNPACK_BUFFER_ARB`
`static int` | `GL_PIXEL_UNPACK_BUFFER_BINDING_ARB`

Fields inherited from class org.lwjgl.opengl.ARBBufferObject
`GL_BUFFER_ACCESS_ARB, GL_BUFFER_MAP_POINTER_ARB, GL_BUFFER_MAPPED_ARB, GL_BUFFER_SIZE_ARB, GL_BUFFER_USAGE_ARB, GL_DYNAMIC_COPY_ARB, GL_DYNAMIC_DRAW_ARB, GL_DYNAMIC_READ_ARB, GL_READ_ONLY_ARB, GL_READ_WRITE_ARB, GL_STATIC_COPY_ARB, GL_STATIC_DRAW_ARB, GL_STATIC_READ_ARB, GL_STREAM_COPY_ARB, GL_STREAM_DRAW_ARB, GL_STREAM_READ_ARB, GL_WRITE_ONLY_ARB`

Method Summary

Methods inherited from class org.lwjgl.opengl.ARBBufferObject
`glBindBufferARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glBufferSubDataARB, glDeleteBuffersARB, glGenBuffersARB, glGetBufferParameterARB, glGetBufferPointerARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glGetBufferSubDataARB, glIsBufferARB, glMapBufferARB, glUnmapBufferARB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PIXEL_PACK_BUFFER_ARB

    public static final int GL_PIXEL_PACK_BUFFER_ARB

  Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv:

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_ARB

    public static final int GL_PIXEL_UNPACK_BUFFER_ARB

See Also:
  Constant Field Values

### GL_PIXEL_PACK_BUFFER_BINDING_ARB

    public static final int GL_PIXEL_PACK_BUFFER_BINDING_ARB

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_BINDING_ARB

    public static final int GL_PIXEL_UNPACK_BUFFER_BINDING_ARB

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.